#include <sys/types.h>
#include <err.h>
#include <new.h>
#include <platform/armemu/memmap.h>
#include <platform/console.h>
#include <kernel/Thread.h>
#include <os/Module.h>

#if 0

using namespace OS;

namespace OS { 
namespace Platform {

static Kernel::handlerReturn handleConsoleIrq(int vector, void *arg)
{
	uint32_t stat = *REG(KYBD_STAT);
	uint32_t data = *REG(KYBD_DATA);

	dprintf("KEYBD: stat 0x%x data 0x%x\n", stat, data);

	return Kernel::INT_RESCHEDULE;
}

static status_t console_init(Module *)
{
	// register for the keyboard vector
	Kernel::InterruptDispatcher::RegisterHandler(INT_KEYBOARD, &handleConsoleIrq, NULL);

	return NO_ERROR;
}

// global module object, used to wire in the initialization routine for this module
Module consoleModule("platform::console", Module::LEVEL_PRETHREAD, &console_init);

}} // namespace OS::Platform
#endif
